EDIT - feature request #6795

Invoke selection change event when setting focus to specimen editor
07/10/2017 04:01 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.8

Severity: normal

Description

Related issues:
Related to EDIT - bug #6748: Linking between derivate view and facts/media view Closed
Copied to EDIT - bug #6809: Name Editor throws double selection change events Closed

Associated revisions

Revision ee794ab7 - 07/10/2017 04:02 PM - Patrick Plitzner

fix #6795 Invoke selection event when setting focus to specimen editor

Revision b19855b6 - 07/10/2017 04:03 PM - Patrick Plitzner

fix #6795 Invoke selection event when setting focus to specimen editor

History

#1 - 07/10/2017 04:02 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|ee794ab74445154c9dc688439106a4c9a6605e09.

#2 - 07/10/2017 04:06 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

#3 - 07/10/2017 04:07 PM - Patrick Plitzner

- Related to bug #6748: Linking between derivate view and facts/media view added

#4 - 07/11/2017 12:01 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Generally this works and the ticket can be closed.

The only "open" issue is that when e.g. going back to the NameEditor but clicking on another synonym as the before selected the details view
rendering takes first place for the old selection and then again for the new selection. This makes it even slower than it is already.

Please feel free to create a new ticket for this and Katja, could you please link the new ticket to the one that already exists for faster
rendering/creation of the details view?

#5 - 07/13/2017 11:25 AM - Patrick Plitzner
- Copied to bug #6809: Name Editor throws double selection change events added

#6 - 07/13/2017 11:25 AM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 50 to 100
